/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG07_Tarea;

import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;
import persistencia.EmpleadoClass;
import persistencia.UtilClass;


/**
 *
 * @author Abraham Fernandez Sanchez
 */
public final class WindowShowEmpleados extends javax.swing.JInternalFrame {

    DefaultTableModel modelo;
    UtilClass util;
    EmpleadoClass empleado;
    
    private String nombre;
    private String apellidos;
    private String titulacion;    
    private String direccion;
    private String nif;
    private int telefono;
    private int edad;
    private String fechaAlta;
    private boolean interino;
    private String interinoText;
    private String nombreTrabajo;    
    
    /**
     * Creates new form WindowShowEmpleados
     */
    public WindowShowEmpleados() {       
        initComponents();
        rellenarListaEmpleados();        
    }

    /**
     * Metodo para añadir los datos de los Empleados al JTable
     */
    public void rellenarListaEmpleados(){        
        modelo = (DefaultTableModel) jTableEmpleados.getModel();
        util = new UtilClass();                
        int numEmpleados = util.sizeListaEmpleados();        
        for (int i = 0; i < numEmpleados; i++) {
            empleado = util.getEmpleado(i);
            nombre = empleado.getNombre();
            apellidos = empleado.getApellidos();
            titulacion = empleado.getTitulacion();
            direccion = empleado.getDireccion();
            nif = empleado.getNif();
            telefono = empleado.getTelefono();
            edad = empleado.getEdad();
            fechaAlta = empleado.getFechaAlta();
            interino = empleado.isInterino();
            interinoText = empleado.isInterino()? "SI":"NO";            
            modelo.addRow(new Object[]{nombre+" "+apellidos, titulacion, direccion, nif, telefono, edad, fechaAlta, interinoText});            
        }  
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTableEmpleados = new javax.swing.JTable();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Listado de los Empleados actuales");
        setAutoscrolls(true);

        jTableEmpleados.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Nombre", "Titulacion", "Direccion", "NIF", "Telefono", "Edad", "F.Alta", "Interino"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.String.class, java.lang.String.class, java.lang.String.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.String.class, java.lang.String.class
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }
        });
        jScrollPane1.setViewportView(jTableEmpleados);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 566, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(24, 24, 24)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 161, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTableEmpleados;
    // End of variables declaration//GEN-END:variables
}
